#ifndef STDIALOGSETTINGS_H
#define STDIALOGSETTINGS_H

#include <QDialog>
#include <QFileDialog>

#include "stsettings.h"

#include "ui/uisettings.h"

using namespace Ui;
using namespace st::core;
/**
	@author sfinks <sfinks2@gmail.com>
*/
namespace st {
namespace widgets {

class STDialogSettings : public QDialog
{
	Q_OBJECT
public:
    STDialogSettings(QWidget *parent = 0);

    ~STDialogSettings();
private:
	UISettings *m_ui;
	QFileDialog *m_dialogDir, *m_dialogDir2;
	QString m_tsd, m_tmd;
public slots:
    void slot_show();
protected slots:
    void slot_accepted();
    void slot_set_dl_save_dir(const QStringList & selected )
	    { m_ui->lineEdit_dl_save_dir->setText( selected.at(0));}
    void slot_set_finished_move_dir(const QStringList & selected ) 
    	{ m_ui->lineEdit_finished_move_dir ->setText( selected.at(0));}
signals:
    void signal_changed();

/*
    QCheckBox *checkBox_dl_save_dir;
    QCheckBox *checkBox_finished_move_dir;
      
    QCheckBox *checkBox_add_in_paused_mode;
    QCheckBox *checkBox_pre_allocate_files;
*/
};
}
}
#endif
