#ifndef STFF_H
#define STFF_H

#include <QString>
#include <QDebug>
#include <QMap>
#include <QMultiMap>
#include <QVariant>
#include <QStringList>
#include <QMetaType>

/**
	@author sfinks <sfinks2@gmail.com>
*/

#define VERSION_MAJOR	0
#define VERSION_MINOR	1
#define VERSION_REV		8
#define VERSION_TAG		2

#define D_CRIT 1
#define D_MED 2
#define D_INF 3


namespace st {
namespace core {

typedef QMap<unsigned int, QStringList> map_int_stringlist;
typedef QMap<QString, QStringList> map_string_stringlist;

typedef QMap<QString, QString> map_string_string;
typedef QMap<QString, map_string_string> map_string_map;


class STff{
public:
    STff();

    ~STff();
    static void debug(int level, QString s);

};
}
}
#endif
