#include "ststandarditem.h"

using namespace st::core;

STStandardItem::STStandardItem()
 : QStandardItem()
{
}


STStandardItem::~STStandardItem()
{
}

/*!
    \fn STStandardItem::operator< ( const QStandardItem & other ) const 
 */
bool STStandardItem::operator< ( const QStandardItem & other ) const 
{
	QString s1, s2, s11, s22;
	
   s1 = text().section(" ", 0, 0);
   s2 = other.text().section(" ", 0, 0);
   
   s11 = text().section(" ", 1, 1);
   s22 =  other.text().section(" ", 1, 1);
   
   int s111=-1, s222=-1;
   
   if( s11 == "GB") s111 = 3;
   if( s11 == "MB") s111 = 2;
   if( s11 == "KB") s111 = 1;
   if( s11 == "B") s111 =  0;
   
   if( s22 == "GB") s222 = 3;
   if( s22 == "MB") s222 = 2;
   if( s22 == "KB") s222 = 1;
   if( s22 == "B") s222 =  0;
   
   bool ok1, ok2;

   float j1 = s1.toFloat(&ok1);
   float j2 = s2.toFloat(&ok2);
   
   if( ok1 && ok2) {
   	if( s111 != s222 && (s111>=0 && s222>=0) ) return s111 < s222;
   	return j1 < j2;
   }
   
   return text() < other.text();
}
