#ifndef STSTANDARDITEM_H
#define STSTANDARDITEM_H

#include <QStandardItem>
#include <QIcon>
#include <QString>


/**
	@author sfinks <sfinks2@gmail.com>
*/
namespace st {
namespace core {
class STStandardItem : public QStandardItem
{
public:
    STStandardItem();
	STStandardItem( const QString & text ): QStandardItem(text){};
	STStandardItem( const QIcon & icon, const QString & text ): QStandardItem(icon, text){};
	STStandardItem( int rows, int columns = 1 ): QStandardItem(rows, columns){};

    ~STStandardItem();
    
    bool isEditable() { return false; }
    
    bool operator< ( const QStandardItem & other ) const ;

};
}
}
#endif
