#ifndef STWIDGETDEBUG_H
#define STWIDGETDEBUG_H

#include <stwidget.h>
#include <QStandardItemModel>

#include "ui/uidebug.h"

using namespace Ui;
/**
	@author sfinks <sfinks2@gmail.com>
*/
namespace st {
namespace widgets {
class STWidgetDebug : public STWidget
{
	Q_OBJECT
public:
    STWidgetDebug(QWidget *parent = 0 );

    ~STWidgetDebug();	
    
public slots:
	void slot_append(const QString &s) {
		
		m_model->insertRow(0, new QStandardItem(s));
		if(m_model->rowCount() > 100) m_model->removeRow( m_model->rowCount()-1 );
		
	}
	
private:
		Ui::UIDebug *m_ui;
		QStandardItemModel *m_model;
};
}
}
#endif
