#ifndef STWIDGETLOG_H
#define STWIDGETLOG_H

#include <QWidget>

#include <QStandardItemModel>

#include "ui/uilog.h"

#include "stwidget.h"

using namespace Ui;

/**
	@author sfinks <sfinks2@gmail.com>
*/
namespace st {
namespace widgets {

class STWidgetLog : public STWidget
{
	Q_OBJECT
public:
    STWidgetLog(QWidget *parent = 0);
    ~STWidgetLog();
    
public slots:
	void slot_append(const QString &s) {
		
		m_model->insertRow(0, new QStandardItem(s));
		if(m_model->rowCount() > 100) m_model->removeRow( m_model->rowCount()-1 );
		
	}
private:
	UILog *m_ui;
	QStandardItemModel *m_model;
};
}
}
#endif
