#include "sttreeview.h"

STTreeView::STTreeView(QWidget *parent)
 : QTreeView(parent)
{
}


STTreeView::~STTreeView()
{
}

/*!
    \fn STTreeView::mousePressEvent ( QMouseEvent * event ) 
 */
void STTreeView::mousePressEvent ( QMouseEvent * event ) 
{
	int button = event->button();
    if(button == Qt::RightButton && selectionModel()->selectedIndexes().size() >0 )
    	 emit signal_rightMousePressed(event->globalPos());
    	 
    QAbstractItemView::mousePressEvent(event);
}
