#ifndef STTREEVIEW_H
#define STTREEVIEW_H

#include <QTreeWidget>
#include <QTreeWidgetItem>
#include <QMouseEvent>
#include <QPoint>

#include "stwidget.h"

/**
	@author sfinks <sfinks2@gmail.com>
*/
using namespace st::widgets;
namespace st {
namespace widgets {
class STTreeView : public QTreeView
{
	Q_OBJECT
public:
    STTreeView(QWidget *parent = 0);
    ~STTreeView();

private:
    void mousePressEvent ( QMouseEvent * event ) ;
signals:
    void signal_rightMousePressed(const QPoint &p);
};
}
}
#endif
