#include "stwidgetfiles.h"

using namespace st::widgets;

STWidgetFiles::STWidgetFiles(QWidget *parent)
 : STWidget(parent)
{
	m_ui = new UIFiles();
	m_ui->setupUi(this);

	m_ui->treeWidget->setColumnWidth(0, 100);
	m_ui->treeWidget->setColumnWidth(1, 500);
	m_ui->treeWidget->setColumnWidth(2, 100);
}


STWidgetFiles::~STWidgetFiles()
{
}



/*!
    \fn STWidgetFiles::slot_updateModel(QList<QStringList> l)
 */
void STWidgetFiles::slot_update_model(map_int_stringlist l)
{
	QMapIterator<unsigned int, QStringList> i(l);
	
	m_ui->treeWidget->clear();
	
	QTreeWidgetItem *item;
 	while (i.hasNext()) {
    	i.next();
    	
    	item = new QTreeWidgetItem();
    	
    	for(int j=0;  j < i.value().size() ; j++) {
    		item->setText(j, i.value().at(j));
    	}
    	
    	m_ui->treeWidget->addTopLevelItem(item);
    	

	}
}
