#include "stwidgetpeers.h"

using namespace st::widgets;

STWidgetPeers::STWidgetPeers(QWidget *parent)
 : STWidget(parent)
{
	m_ui = new UIPeers();
	m_ui->setupUi(this);

	m_ui->treeWidget->setColumnWidth(0, 100);
	m_ui->treeWidget->setColumnWidth(1, 200);
	m_ui->treeWidget->setColumnWidth(2, 200);
	m_ui->treeWidget->setColumnWidth(3, 100);
	m_ui->treeWidget->setColumnWidth(4, 100);

}


STWidgetPeers::~STWidgetPeers()
{
}

/*!
    \fn STModelWidget::slot_updateModel(QList<QStringList> l)
 */
void STWidgetPeers::slot_update_model( map_int_stringlist l)
{	
	QMapIterator<unsigned int, QStringList> i(l);
	
	m_ui->treeWidget->clear();
	
	QTreeWidgetItem *item;
 	while (i.hasNext()) {
    	i.next();
    	
    	item = new QTreeWidgetItem();
    	
    	for(int j=0;  j < i.value().size() ; j++) {
    		item->setText(j, i.value().at(j));
    	}
    	
    	m_ui->treeWidget->addTopLevelItem(item);
	}
}




