#ifndef STWIDGETSTATUS_H
#define STWIDGETSTATUS_H

#include <QWidget>
#include <QStandardItemModel>
#include <QHeaderView>

#include "stwidget.h"

#include "stff.h"

#include "ui/uistatus.h"
#include <QLabel>

using namespace Ui;
using namespace st::core;

/**
	@author sfinks <sfinks2@gmail.com>
*/
namespace st {
namespace widgets {

class STWidgetStatus : public STWidget
{
public:
    STWidgetStatus(QWidget *parent = 0);

    ~STWidgetStatus();
    
private:
	void	create_treeview_header();
    
private:
	UIStatus *m_ui;
	QStandardItemModel *m_model_1;
	QHeaderView	*m_hv;
public slots:
    void slot_update_model( map_string_stringlist l);
};
}
}
#endif
